Bug 982735 - SELinux is preventing /usr/bin/gsf-office-thumbnailer from 'append' accesses on the unix_stream_socket unix_stream_socket.
SELinux is preventing /usr/bin/gsf-office-thumbnailer from 'append' accesses ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:2c9762c73d0ba24ee519bf5e3cc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-09 13:30 EDT by Javier Villanueva
Modified: 2015-02-17 11:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:01:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Javier Villanueva 2013-07-09 13:30:20 EDT
Description of problem:
SELinux is preventing /usr/bin/gsf-office-thumbnailer from 'append' accesses on the unix_stream_socket unix_stream_socket.

*****  Plugin leaks (86.2 confidence) suggests  ******************************

If quiere ignorar gsf-office-thumbnailer intentando que append acceda al unix_stream_socket unix_stream_socket, debido a que considera que no debería necesitar este acceso.
Then debería reportar esto como un error.
Puede generar un módulo de política local para no auditar este acceso.
Do
# grep /usr/bin/gsf-office-thumbnailer /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

*****  Plugin catchall (14.7 confidence) suggests  ***************************

If cree que de manera predeterminada, gsf-office-thumbnailer debería permitir acceso append sobre  unix_stream_socket unix_stream_socket.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep gsf-office-thum /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Objects                unix_stream_socket [ unix_stream_socket ]
Source                        gsf-office-thum
Source Path                   /usr/bin/gsf-office-thumbnailer
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           libgsf-1.14.26-4.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   22
First Seen                    2013-07-08 14:37:15 CDT
Last Seen                     2013-07-09 12:27:31 CDT
Local ID                      2bf9caf7-4ccc-439b-9031-991749d94406

Raw Audit Messages
type=AVC msg=audit(1373390851.925:533): avc:  denied  { append } for  pid=10488 comm="gsf-office-thum" path="socket:[25031]" dev="sockfs" ino=25031 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=unix_stream_socket


type=SYSCALL msg=audit(1373390851.925:533): arch=x86_64 syscall=execve success=yes exit=0 a0=2ab0c97 a1=2aaefa0 a2=7fff5b062100 a3=37 items=0 ppid=10465 pid=10488 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=1 tty=(none) comm=gsf-office-thum exe=/usr/bin/gsf-office-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: gsf-office-thum,thumb_t,xdm_t,unix_stream_socket,append

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-301.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-09 16:48:51 EDT
What login program are you using?  gdm?
Comment 2 Fedora End Of Life 2015-01-09 13:48:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 11:01:29 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.